//---------------------------------------------------------------------------
#ifndef HexDataH
#define HexDataH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>

//---------------------------------------------------------------------------
class THexForm : public TForm
{
__published:	// IDE-managed Components
 TPaintBox *chPic;
 void __fastcall FormCreate(TObject *Sender);
 
 void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift );
 void __fastcall FormPaint(TObject *Sender);
 void __fastcall FormResize(TObject *Sender);
private:	// User declarations
public:		// User declarations
 __fastcall THexForm(TComponent* Owner);


  void __fastcall DrawHex( BYTE *String );
  void __fastcall UpdateHex( BYTE *String );
  void __fastcall DrawPic( );  

  struct MYHEX
  { //
    int  mx;
    int  my;
    int  x;
    int  y;
    int  posi;
  } hexx;

  BYTE hxData[0x1000];
  WORD count;

  Graphics::TBitmap *PIC;  
};

//---------------------------------------------------------------------------
extern PACKAGE THexForm *HexForm;
//---------------------------------------------------------------------------
#endif
